@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

/***** General CSS *****/

body {
    word-break: break-word;
    font: 15px/25px 'Poppins';
    color: #393939;
    overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Poppins';
}

h1 {
    font-size: 55px;
    line-height: 60px;
    color: #fff;
    font-weight: 500;
    margin: 0 0 17px;
}

h2 {
    font-size: 55px;
    line-height: 60px;
    color: #393939;
    font-weight: 500;
    margin: 0 0 30px;
}

h3 {
    font-size: 30px;
    line-height: 34px;
    color: #000000;
    font-weight: 600;
    margin: 0 0 28px;
}

h4 {
    font-size: 24px;
    line-height: 29px;
    color: #393939;
    font-weight: 500;
    margin: 0 0 13px;
}

h5 {
    font-size: 20px;
    line-height: 25px;
    color: #393939;
    font-weight: 500;
    margin: 0 0 20px;
}

h6 {
    font-size: 18px;
    line-height: 23px;
    color: #393939;
    font-weight: 500;
    margin: 0 0 22px;
}

select {
    background: #fff url('../images/arrow.png') no-repeat right;
    padding: 0 40px 0 30px;
}

::-webkit-input-placeholder {
    color: #575757;
}

::-moz-placeholder {
    color: #575757;
    opacity: 1;
}

:-ms-input-placeholder {
    color: #575757;
}

:-moz-placeholder {
    color: #575757;
    opacity: 1;
}


/* BEGIN: HEADER SEC CSS */

.slicknav_menu {
    display: none;
}

@media only screen and (min-width:0px) and (max-width:767px) {
    .slicknav_menu {
        display: block;
    }
}

.desing-wrap {
    display: flex;
    flex-direction: column;
    justify-content: end;
    height: 85vh;
    align-items: center;
}

.actions-tools-button button.active{
    background-color: #000 !important;
    color: #fff;
}

.actions-tools-button button {
    text-align: right;
    border: 0;
    background: transparent;
    color: grey;
    font-size: 14px;
    padding: 10px 20px;
    font-weight: 600;
    border-radius: 10px;
    padding-left: 40px;
    line-height: 1;
    position: relative;
}

.actions-tools-button button > img {
    width: 25px;
    height: 25px;
    display: block;
    margin-left: auto !important;
    margin: 0 0 6px;
    object-fit: contain;
}

.actions-tools-button {
    position: absolute;
    width: auto;
    right: 60px;
    display: flex;
    flex-direction: column;
    top: 0;
    gap: 20px;
    height: 520px;
    bottom: 0;
    margin: 0 auto 0;
    align-items: end;
    padding-top: 50px;
}

section.design-sec {
    position: relative;
}

.actions-tools-button.left-part {
    left: 60px;
    right: unset;
    align-items: start;
}

.actions-tools-button.left-part button {
    text-align: center;
    padding: 12px 25px;
    font-size: 16px;
    background: #dddddd40;
}

.tool-bar-top {
    position: absolute;
    top: -100px;
    background: #fff;
    padding: 16px 20px;
    width: 100%;
    border-bottom: 1px solid #ddd;
    box-shadow: 0 0 7px 0 #00000057;
    transition: 0.3s all;
    z-index: 999;
}

.more-optn {
    display: flex;
    flex-flow: wrap;
    gap: 10px;
    justify-content: center;
}
.more-optn>input {
    width: 70px;
    height: 40px;
    border: 0;
    text-align: center;
    background: whitesmoke;
    border-radius: 99px;
    outline: none;
}
.more-optn>select {
    width: 180px;
    height: 40px;
    padding: 0 15px;
    border: 0;
    background: #f5f5f5;
    border-radius: 99px;
}
.more-optn>button.actv {
    background: #000000;
    color: #fff;
}
.more-optn>button {
    height: 40px;
    width: 40px;
    border: 0;
    border-radius: 50%;
}
.more-optn>button em {
    font-family: auto;
    font-weight: 600;
}
.actions-tools-button button.active > img {
    filter: brightness(11.5);
}
.image_container {
    width: 100%;
    height: 460px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    background: #fff;
    overflow: hidden;
}
.resize-drag-text.edits {
    border-color: #000000;
}
.resize-drag-text {
    position: absolute;
    z-index: 1000;
    max-height: 100%;
    max-width: 90%;
    min-width: 25%;
    width: auto;
    display: inline-flex;
    align-items: flex-start;
    border: 1px dashed #51340000;
    padding: 10px;
    /* height: auto !important; */
    min-height: 40px;
    touch-action: none;
    right: 0;
    left: 0;
    top: 70px;
    margin: 0 auto;
}
.upl-img {
    position: absolute;
    width: 200px;
    height: 300px;
    z-index: 999;
    max-height: 100%;
    max-width: 100%;
    border: 1px dashed #00000063;
    background: #9d9d9d00;
    display: none;
}
.resize-drag-text.edits>span {
    visibility: visible;
}
.resize-drag-text>span {
    position: absolute;
    font-size: 30px;
    border-radius: 50%;
    background: #513400;
    color: #fff;
    top: -15px;
    left: -15px;
    visibility: hidden;
}
.resize-drag-text>p {
    line-height: 1.3;
    overflow: hidden;
    font-weight: 500;
    font-size: 20px;
    flex: 1;
}
.resize-drag-text>span.resze {
    position: absolute;
    bottom: -10px;
    top: auto;
    right: -16px;
    left: auto;
    color: #fff;
    font-size: 23px;
    width: 27px;
    border: 2px solid #fff;
    height: 27px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 1.5px 1.5px 0px 1px #000000;
}
.resize-drag-text.edits>span {
    visibility: visible;
}
.resize-drag-text>span {
    position: absolute;
    font-size: 30px;
    border-radius: 50%;
    background: #000000;
    color: #fff;
    top: -15px;
    left: -15px;
    visibility: hidden;
}
.resize-drag-text>span.resze i {
    font-size: 13px;
    transform: rotate(90deg);
    cursor: nwse-resize;
}

.image_container>img {
    width: 400px;
    display: block;
    background-color: var(--color);
    user-select: none;
    filter: var(--filter);
    box-shadow: inset 0px 0px 410px 0px #00000036;
    height: 100%;
}

.tab-content .tab-pane.active {z-index: 2;opacity: 1;}
.tab-content>.tab-pane {
    opacity: 0;
    position: absolute;
    z-index: -1;
    display: block;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
}
.nav-tabs {
    border-bottom: 0;
    margin-bottom: 50px;
    justify-content: center;
    gap: 20px;
}

.nav-tabs .nav-link.active, .nav-tabs .nav-item.show .nav-link {
    border-color: #000;
    color: #fff;
    font-size: 14px;
    height: 60px;
    background: #000;
    border-top: 0;
}
.nav-tabs .nav-link {
    margin-bottom: -1px;
    border: 1px solid #b5b5b5;
    font-size: 14px;
    color: #000;
    text-transform: uppercase;
    position: relative;
    z-index: 10;
    display: inline-block;
    overflow: hidden;
    font-weight: 600;
    border-radius: 99px;
    width: 170px;
    height: 60px;
}
.tool-bar-top.open {
    top: 0;
}
.more-optn .text-field {
    width: 340px;
    text-align: left;
    padding: 0 20px;
    outline: none;
}
.bold {
    font-weight: bold !important;
}
.italic {
    font-style: italic !important;
}
.caps {
    text-transform: uppercase !important;
}
input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}

button.add-image {
    position: relative;
}

button.add-image > input {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    opacity: 0;
    cursor: pointer;
}

.resize-drag {
    position: absolute;
    z-index: 99;
    max-height: 100%;
    max-width: 80%;
    min-width: 10%;
    min-height: 10%;
    touch-action: none;
}
.resize-drag>span {
    position: absolute;
    font-size: 30px;
    border-radius: 50%;
    background: #513400;
    color: #fff;
    top: -15px;
    left: -15px;
    visibility: hidden;
    z-index: 11;
}

.resize-drag:hover>span {
    visibility: visible;
}
.resize-drag>i {
    position: absolute;
    font-size: 20px;
    border-radius: 50%;
    background: #513400;
    color: #fff;
    bottom: -10px;
    right: -10px;
    visibility: hidden;
    height: 25px;
    width: 25px;
    z-index: 11;
    display: flex;
    align-items: center;
    justify-content: center;
    transform: rotate(-45deg);
    cursor: nw-resize;
}

.resize-drag:hover>i {
    visibility: visible;
}
img {
    max-width: 100%;
}
.material-color-top {
    display: flex;
    flex-flow: wrap;
    gap: 20px;
    justify-content: center;
}

.material-color-top button {
    width: 6%;
    border: 0;
    padding: 0;
}

.material-color-top-baar {
    position: absolute;
    top: -100%;
    background: #fff;
    padding: 16px 20px 30px;
    width: 100%;
    border-bottom: 1px solid #ddd;
    box-shadow: 0 0 7px 0 #00000057;
    transition: 0.3s all;
    z-index: 999;
}
.material-color-top-baar h2 {
    color: #000;
    font-size: 20px;
    line-height: 1;
    text-transform: uppercase;
    font-weight: 700;
    padding: 0 50px;
    text-decoration: underline;
    text-align: center;
}

.material-color-top-baar.open {
    top: 0;
}

.material-color-top button.curr {
    border: 2px solid #aeffa8;
    border-radius: 10px;
    overflow: hidden;
}



.shapes-button {
    display: flex;
    flex-flow: wrap;
    gap: 20px;
    justify-content: center;
}

.shapes-button button {
    width: 6%;
    padding: 20px;
    border-radius: 14px;
    border: 1px solid #ddd;
}

.shapes-top-baar {
    position: absolute;
    top: -100%;
    background: #fff;
    padding: 16px 20px 30px;
    width: 100%;
    border-bottom: 1px solid #ddd;
    box-shadow: 0 0 7px 0 #00000057;
    transition: 0.3s all;
    z-index: 999;
}
.shapes-top-baar h2 {
    color: #000;
    font-size: 20px;
    line-height: 1;
    text-transform: uppercase;
    font-weight: 700;
    padding: 0 50px;
    text-decoration: underline;
    text-align: center;
}

.shapes-top-baar.open {
    top: 0;
}

.shapes-button button.curr {
    border: 2px solid #aeffa8;
    border-radius: 10px;
    overflow: hidden;
}
.close-bar {
    position: absolute;
    font-size: 30px;
    right: 30px;
    cursor: pointer;
    top: 20px;
}
/* img#uploadedImage {
    height: 100%;
    width: 100%;
    object-fit: cover;
    pointer-events: none;
} */

table.editable-table {
    font-size: 7px;
    background: #fff;
    line-height: 1.4;
    flex: 1;
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    border-radius: 4px;
    overflow: hidden;
    background-color: white;
}
/* Tables Style */
.table-style1 th {
    background-color: #f2f2f2;
    color: #333;
}

.table-style2 th {
    background-color: #4CAF50;
    color: white;
}

.table-style3 th {
    background-color: #3f51b5;
    color: white;
}
.table-style3 tr:nth-child(even) {
    background-color: #f2f2f2;
}

.table-style4 th {
    background-color: #333;
    color: white;
}

.table-style5 th {
    background-color: #ff9800;
    color: white;
}

.table-style6 th {
    background-color: #9c27b0;
    color: white;
}

.table-style7 th {
    background-color: #e91e63;
    color: white;
}

.table-style8 th {
    background-color: #673ab7;
    color: white;
}

.table-style9 th {
    background-color: #00bcd4;
    color: white;
}

.table-style10 th {
    background-color: #4caf50;
    color: white;
}

/* Hover effects */
.table-style1 td:hover {
    background-color: #e9e9e9;
}

.table-style2 td:hover {
    background-color: #dff0d8;
}

.table-style3 td:hover {
    background-color: #d1c4e9;
}

.table-style4 td:hover {
    background-color: #616161;
    color: white;
}

.table-style5 td:hover {
    background-color: #ffe0b2;
}

.table-style6 td:hover {
    background-color: #e1bee7;
}

.table-style7 td:hover {
    background-color: #f8bbd0;
}

.table-style8 td:hover {
    background-color: #d1c4e9;
}

.table-style9 td:hover {
    background-color: #b2ebf2;
}

.table-style10 td:hover {
    background-color: #c8e6c9;
}
/* Tables Style */

.editable-table td, .editable-table th{
    padding: 2% 4%;
    border: 1px solid #dddddd52;
}
table.editable-table .out-put {
    outline: 1px dashed #797979;
    border: 1px dashed #797979;
}
.getcol-rows {
    position: absolute;
    right: 110%;
    background: #fff;
    box-shadow: 0 0 7px 0 #00000045;
    border: 1px solid #ddd;
    padding: 0 20px;
    border-radius: 10px;
    width: 300px;
    bottom: 0;
}

.getcol-rows > div {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 14px;
    margin: 10px 0 10px;
    color: #000;
}

.getcol-rows input {
    width: 110px;
    height: 40px;
    text-align: center;
    border: 0;
    background: #ededed;
    border-radius: 99px;
}

.getcol-rows {
    display: none;
}

.actions-tools-button .active:focus-within .getcol-rows {
    display: block;
}
.getcol-rows span {
    height: 40px;
    display: flex;
    text-align: center;
    background: #000;
    border-radius: 99px;
    align-items: center;
    justify-content: center;
    margin: 0 0 15px;
}
.table-styles select {
    width: 160px;
    height: 40px;
    padding: 0 10px;
    border: 0;
    border-radius: 99px;
    background: #ededed;
}

.table-styles {
    flex-flow: wrap;
    gap: 0 !important;
    margin-top: 10px !important;
    margin-bottom: 14px !important;
}

.table-styles p {
    margin: 0;
}
.floor-img {
    height: 79px;
}

.button-perform {
    position: absolute;
    width: 38%;
    bottom: 16%;
    right: 0;
    z-index: 999;
}

.button-perform button {
    height: 45px;
    border: 0;
    background: #27292b;
    color: #fff;
    padding: 0 30px;
    border-radius: 99px;
    margin: 0 5px;
    display: inline-flex;
    align-items: center;
    gap: 0 10px;
}

.loader-div {
    position: absolute;
    height: 460px;
    width: 390px;
    background: url( https://retchhh.wordpress.com/wp-content/uploads/2015/03/loading1.gif);
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    z-index: 999;
    background-size: 200px;
    background-color: #ffffffb8;
    background-repeat: no-repeat;
    background-position: center;
}

div#myTabContent {
    position: relative;
    height: 460px;
}
.get-emb-style {
    width: 320px;
    margin-left: auto;
}

.get-emb-style > div {
    position: relative;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #27292b;
    color: #fff;
    border-radius: 10px;
    margin: 15px 0;
    cursor: pointer;
}

.get-emb-style > div > input {
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    opacity: 0;
    z-index: 1;
    cursor: pointer;
}
.active:focus-within .get-emb-style {
    display: block;
}
.get-emb-style h3 {
    text-align: left;
    font-size: 18px;
    margin: 0;
    line-height: 1;
}

select.select-typeea {
    width: 100%;
    height: 40px;
    padding: 0 10px;
    border-radius: 8px;
    background: #f7f7f7;
    appearance: auto;
}


.full-sidebar {
    width: 30%;
    position: absolute;
    right: 0;
    top: 20px;
    height: 100%;
    padding: 30px;
}
.size-slct span {
    font-size: 40px;
    font-family: 'Ubuntu';
    color: #000;
}
.size-slct {
    background: #dddddd40;
    color: #606060;
    border: 0;
    width: 100%;
    margin: 0 0 10px;
    border-radius: 99px;
    font-size: 17px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 30px;
    height: 50px;
    font-weight: 500;
}
.back-btn {
    position: absolute;
    top: 0;
    font-weight: 600;
    text-transform: capitalize;
    display: flex;
    align-items: baseline;
    gap: 10px;
    cursor: pointer;
}
.size-slct span {
    font-size: 30px;
    font-family: 'Ubuntu';
    line-height: 1;
}

.full-sidebar > div{
    display: none;
}
.full-sidebar > .active{
    display: block;
}
.select-style {
    height: 45px;
    background: #dddddd40;
    color: grey;
    margin: 0 10px 20px 0;
    border: 0;
    text-align: center;
    padding: 0 30px;
    font-size: 15px;
    width: auto;
    border-radius: 10px;
    font-weight: 600;
    width: fit-content;
    margin-left: auto;
    display: block;
}
.full-sidebar h4 {
    font-size: 20px;
    text-align: right;
    border-bottom: 2px solid #000;
    display: block;
    margin-left: auto;
    margin-right: 12px;
    text-transform: uppercase;
    font-weight: 800;
    width: fit-content;
    padding-left: 60px;
    margin-bottom: 20px;
}
.select-styless {
    width: auto;
}
.actions-tools-button.new.active {
    display: flex;
}


.upload-container {
    border: 2px dashed #d3d3d3;
    border-radius: 5px;
    text-align: center;
    padding: 40px;
    background-color: #fff;
    position: relative;
}
.upload-container i {
    font-size: 50px;
    color: #b3b3b3;
}
.upload-container p {
    font-size: 20px;
    color: #b3b3b3;
    margin: 0;
}
.upload-container .or {
    font-size: 16px;
    color: #b3b3b3;
    margin: 0 0 10px;
}
.upload-container button {
    background-color: #000000;
    color: #fff;
    border: none;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    text-decoration: none;
}
.upload-container button:hover {
    background-color: #000000;
}
.upload-container>input {
    position: absolute;
    height: 100%;
    width: 100%;
    opacity: 0;
    left: 0;
    top: 0;
    z-index: 11;
    cursor: pointer;
}


span.old-imbrok .shapes-button button {
    width: 20%;
    padding: 4px;
}

span.old-imbrok .shapes-button {
    justify-content: start;
    gap: 5px;
}
.dnone {
    position: absolute;
    visibility: hidden;
}